{
  "x-generator": "On Key REST API Docs Generator",
  "openapi": "3.0.0",
  "info": {
    "title": "On Key AMPC Assets API Specification",
    "description": "Better and smarter enterprise asset management with one of the world's leading Enterprise Asset Management (EAM) systems.",
    "termsOfService": "https://www.onkey.com/",
    "contact": {
      "name": "On Key Support",
      "url": "https://www.onkey.com/",
      "email": "onkey.support@pragmaworld.net"
    },
    "license": {
      "name": "On Key Licence",
      "url": "https://www.onkey.com/"
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "{scheme}://{server}:{port}/api/tenants/{client}/{connection}",
      "description": "On Key API Server",
      "variables": {
        "scheme": {
          "default": "https",
          "description": "HTTP scheme"
        },
        "server": {
          "default": "<variable>",
          "description": "Server host"
        },
        "port": {
          "default": "443",
          "description": "Port"
        },
        "client": {
          "default": "<variable>",
          "description": "Client"
        },
        "connection": {
          "default": "<variable>",
          "description": "Connection/Environment (i.e. prod, qa)"
        }
      }
    }
  ],
  "paths": {
    "/Modules/AMPC/AssetFmecas/{id}": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Get a Asset FMECA resource.",
        "description": "",
        "operationId": "GetAssetFmeca",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset FMECA Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Asset FMECA",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetFmecaResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Update an existing Asset FMECA resource.",
        "description": "",
        "operationId": "UpdateAssetFmeca",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset FMECA Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateAssetFmecaResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Asset FMECA was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Delete an existing Asset FMECA resource.",
        "description": "",
        "operationId": "DeleteAssetFmeca",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset FMECA Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteDeleteAssetFmecaResourceActionResponse"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Asset FMECA was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Get a collection of Asset FMECA resources.",
        "description": "",
        "operationId": "GetAssetFmecaCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset FMECA collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetFmecaCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Create a new Asset FMECA resource.",
        "description": "",
        "operationId": "CreateAssetFmeca",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateAssetFmecaResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/InPlaceAssets/{id}/Fmecas": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Get a collection of Asset FMECA resources for the InPlace Asset.",
        "description": "",
        "operationId": "GetAssetFmecaForInPlaceAssetCollection",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset FMECA collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetFmecaForInPlaceAssetCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/PlaceholderAssets/{id}/Fmecas": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Get a collection of Asset FMECA resources for the Placeholder Asset.",
        "description": "",
        "operationId": "GetAssetFmecaForPlaceholderAssetCollection",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset FMECA collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetFmecaForPlaceholderAssetCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/PlaceholderAssetComponents/{id}/Fmecas": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Get a collection of Asset FMECA resources for the Placeholder Asset Component.",
        "description": "",
        "operationId": "GetAssetFmecaForPlaceholderAssetComponentCollection",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Component Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset FMECA collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetFmecaForPlaceholderAssetComponentCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/RegularAssets/{id}/Fmecas": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Get a collection of Asset FMECA resources for the Regular Asset.",
        "description": "",
        "operationId": "GetAssetFmecaForRegularAssetCollection",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset FMECA collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetFmecaForRegularAssetCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/RegularAssetComponents/{id}/Fmecas": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Get a collection of Asset FMECA resources for the Regular Asset Component.",
        "description": "",
        "operationId": "GetAssetFmecaForRegularAssetComponentCollection",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Component Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset FMECA collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetFmecaForRegularAssetComponentCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Lookups/LookupAssetFmecaAssetFunctionFromAssetComponent": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Lookup the Asset Function for the Asset FMECA, filtered by Asset Component.",
        "description": "",
        "operationId": "LookupAssetFmecaAssetFunctionFromAssetComponent",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset Function collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaAssetFunctionFromAssetComponentLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Lookups/LookupAssetFmecaAssetFunctionFromAsset": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Lookup the Asset Function for the Asset FMECA, filtered by Asset.",
        "description": "",
        "operationId": "LookupAssetFmecaAssetFunctionFromAsset",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset Function collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaAssetFunctionFromAssetLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Lookups/LookupAssetFmecaAsset": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Lookup the Asset for the Asset FMECA.",
        "description": "",
        "operationId": "LookupAssetFmecaAsset",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaAssetLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Lookups/LookupAssetFmecaChangePermissionTree": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Lookup the permission set for changing the Asset FMECA.",
        "description": "",
        "operationId": "LookupAssetFmecaChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Lookups/LookupAssetFmecaComponent": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Lookup the Asset Component for the Asset FMECA.",
        "description": "",
        "operationId": "LookupAssetFmecaComponent",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset Component collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaComponentLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Lookups/LookupAssetFmecaFailureCauseFromFailureCauseType": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Lookup the Failure Cause for the Asset FMECA, filtered by Failure Cause Type.",
        "description": "",
        "operationId": "LookupAssetFmecaFailureCauseFromFailureCauseType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Cause collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaFailureCauseFromFailureCauseTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Lookups/LookupAssetFmecaFailureCause": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Lookup the Failure Cause for the Asset FMECA.",
        "description": "",
        "operationId": "LookupAssetFmecaFailureCause",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Cause collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaFailureCauseLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Lookups/LookupAssetFmecaFailureCauseType": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Lookup the Failure Cause Type for the Asset FMECA.",
        "description": "",
        "operationId": "LookupAssetFmecaFailureCauseType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Cause Type collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaFailureCauseTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Lookups/LookupAssetFmecaFailureMechanismFromFailureMechanismType": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Lookup the Failure Mechanism for the Asset FMECA, filtered by Failure Mechanism Type.",
        "description": "",
        "operationId": "LookupAssetFmecaFailureMechanismFromFailureMechanismType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Mechanism collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaFailureMechanismFromAssetFmecaFailureMechanismTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Lookups/LookupAssetFmecaFailureMechanism": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Lookup the Failure Mechanism for the Asset FMECA.",
        "description": "",
        "operationId": "LookupAssetFmecaFailureMechanism",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Mechanism collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaFailureMechanismLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Lookups/LookupAssetFmecaFailureMechanismType": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Lookup the Failure Mechanism Type for the Asset FMECA.",
        "description": "",
        "operationId": "LookupAssetFmecaFailureMechanismType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Mechanism Type collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaFailureMechanismTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Lookups/LookupAssetFmecaFailureModeFromFailureModeType": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Lookup the Failure Mode for the Asset FMECA, filtered by Failure Mode Type.",
        "description": "",
        "operationId": "LookupAssetFmecaFailureModeFromFailureModeType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Mode collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaFailureModeFromFailureModeTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Lookups/LookupAssetFmecaFailureMode": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Lookup the Failure Mode for the Asset FMECA.",
        "description": "",
        "operationId": "LookupAssetFmecaFailureMode",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Mode collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaFailureModeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Lookups/LookupAssetFmecaFailureModeType": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Lookup the Failure Mode Type for the Asset FMECA.",
        "description": "",
        "operationId": "LookupAssetFmecaFailureModeType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Failure Mode Type collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaFailureModeTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Lookups/LookupAssetFmecaInsertPermissionTree": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Lookup the permission set for creating the Asset FMECA.",
        "description": "",
        "operationId": "LookupAssetFmecaInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Lookups/LookupAssetFmecaRepairType": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Lookup the Repair Type for the Asset FMECA.",
        "description": "",
        "operationId": "LookupAssetFmecaRepairType",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Repair Type collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaRepairTypeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Batch/{ids}": {
      "get": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Get a collection of Asset FMECA resources for the set of id's.",
        "description": "",
        "operationId": "BatchGetAssetFmeca",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Asset FMECA id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Asset FMECA collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetAssetFmecaResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Batch": {
      "post": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Create a new collection of Asset FMECA resources.",
        "description": "",
        "operationId": "BatchCreateAssetFmeca",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateAssetFmecaResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Asset FMECA batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Update a collection of existing Asset FMECA resources.",
        "description": "",
        "operationId": "BatchUpdateAssetFmeca",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateAssetFmecaResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Asset FMECA batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Delete a collection of existing Asset FMECA resources.",
        "description": "",
        "operationId": "BatchDeleteAssetFmeca",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteAssetFmecaResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Asset FMECA batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/{id}/DevelopmentStatus/Accept": {
      "post": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Accept the Development Status for an existing Asset FMECA resource.",
        "description": "",
        "operationId": "AcceptAssetFmecaDevelopmentStatus",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset FMECA Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "message",
            "in": "query",
            "description": "Message to use for the development status background task",
            "schema": {
              "type": "string",
              "nullable": true
            }
          },
          {
            "name": "asyncStepFactor",
            "in": "query",
            "description": "If executed asynchronously, run the operation as a background task by grouping all records affected by the operation into background task steps. A value of zero (=0) will group all records into a single background task step. A value of one (=1) will create a background task step for every record. Any other value (=x) will create background task steps containing x records each.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "nullable": true
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ScheduleFrom"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Batch/{ids}/DevelopmentStatus/Accept": {
      "post": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Accept the Development Status for the collection of existing Asset FMECA resource id's.",
        "description": "",
        "operationId": "BatchAcceptAssetFmecaDevelopmentStatus",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Asset FMECA id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "name": "message",
            "in": "query",
            "description": "Message to use for the development status background task",
            "schema": {
              "type": "string",
              "nullable": true
            }
          },
          {
            "name": "asyncStepFactor",
            "in": "query",
            "description": "If executed asynchronously, run the operation as a background task by grouping all records affected by the operation into background task steps. A value of zero (=0) will group all records into a single background task step. A value of one (=1) will create a background task step for every record. Any other value (=x) will create background task steps containing x records each.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "nullable": true
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ScheduleFrom"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Batch/{ids}/DevelopmentStatus/Reject": {
      "post": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Reject the Development Status for the collection of existing Asset FMECA resource id's.",
        "description": "",
        "operationId": "BatchRejectAssetFmecaDevelopmentStatus",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Asset FMECA id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "name": "message",
            "in": "query",
            "description": "Message to use for the development status background task",
            "schema": {
              "type": "string",
              "nullable": true
            }
          },
          {
            "name": "asyncStepFactor",
            "in": "query",
            "description": "If executed asynchronously, run the operation as a background task by grouping all records affected by the operation into background task steps. A value of zero (=0) will group all records into a single background task step. A value of one (=1) will create a background task step for every record. Any other value (=x) will create background task steps containing x records each.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "nullable": true
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/{id}/Active": {
      "patch": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Change the IsActive status for an existing Asset FMECA resource.",
        "description": "",
        "operationId": "ChangeAssetFmecaIsActive",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset FMECA Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "includeDetails",
            "in": "query",
            "description": "Include details when executing the is active operation (default=False)",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAssetFmecaIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Change the PermissionTree for an existing Asset FMECA resource.",
        "description": "",
        "operationId": "ChangeAssetFmecaPermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset FMECA Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAssetFmecaPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/{id}/DevelopmentStatus/Reject": {
      "post": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Reject the Development Status for an existing Asset FMECA resource.",
        "description": "",
        "operationId": "RejectAssetFmecaDevelopmentStatus",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset FMECA Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "message",
            "in": "query",
            "description": "Message to use for the development status background task",
            "schema": {
              "type": "string",
              "nullable": true
            }
          },
          {
            "name": "asyncStepFactor",
            "in": "query",
            "description": "If executed asynchronously, run the operation as a background task by grouping all records affected by the operation into background task steps. A value of zero (=0) will group all records into a single background task step. A value of one (=1) will create a background task step for every record. Any other value (=x) will create background task steps containing x records each.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "nullable": true
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Batch/Active": {
      "patch": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Change the IsActive status for a collection of existing Asset FMECA resources.",
        "description": "",
        "operationId": "BatchChangeAssetFmecaIsActive",
        "parameters": [
          {
            "name": "includeDetails",
            "in": "query",
            "description": "Include details when executing the is active operation (default=False)",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeAssetFmecaIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Asset FMECA"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Asset FMECA resources.",
        "description": "",
        "operationId": "BatchChangeAssetFmecaPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeAssetFmecaPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Tasks/{id}": {
      "get": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Get a Asset FMECA Task resource.",
        "description": "",
        "operationId": "GetAssetFmecaTask",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset FMECA Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Asset FMECA Task",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetFmecaTaskResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Update an existing Asset FMECA Task resource.",
        "description": "",
        "operationId": "UpdateAssetFmecaTask",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset FMECA Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateAssetFmecaTaskResourceActionResponse"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Asset FMECA Task was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Delete an existing Asset FMECA Task resource.",
        "description": "",
        "operationId": "DeleteAssetFmecaTask",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset FMECA Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "delete",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydelete+json": {
              "schema": {
                "$ref": "#/components/schemas/DeleteDeleteAssetFmecaTaskResourceActionResponse"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - Asset FMECA Task was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Tasks": {
      "get": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Get a collection of Asset FMECA Task resources.",
        "description": "",
        "operationId": "GetAssetFmecaTaskCollection",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset FMECA Task collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetFmecaTaskCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "post": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Create a new Asset FMECA Task resource.",
        "description": "",
        "operationId": "CreateAssetFmecaTask",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "requestBody": {
          "x-name": "post",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entity+json": {
              "schema": {
                "$ref": "#/components/schemas/CreateAssetFmecaTaskResourceActionResponse"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/created",
            "description": ""
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/{assetFmecaId}/Tasks": {
      "get": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Get a collection of Asset FMECA Task resources for the Asset FMECA.",
        "description": "",
        "operationId": "GetAssetFmecaTaskForAssetFmecaCollection",
        "parameters": [
          {
            "name": "assetFmecaId",
            "in": "path",
            "required": true,
            "description": "Asset FMECA Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset FMECA Task collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetFmecaTaskForAssetFmecaCollectionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Tasks/Lookups/LookupAssetFmecaTaskAssetFmeca": {
      "get": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Lookup the Asset FMECA for the Asset FMECA Task.",
        "description": "",
        "operationId": "LookupAssetFmecaTaskAssetFmeca",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Asset FMECA collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaTaskAssetFmecaLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Tasks/Lookups/LookupAssetFmecaTaskRegularAssetTaskFromAssetComponent": {
      "get": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Lookup the Regular Asset Task for the Asset FMECA Task, filtered by Asset Component.",
        "description": "",
        "operationId": "LookupAssetFmecaTaskRegularAssetTaskFromAssetComponent",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Regular Asset Task collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaTaskAssetTaskFromAssetComponentLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Tasks/Lookups/LookupAssetFmecaTaskRegularAssetTaskFromAsset": {
      "get": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Lookup the Regular Asset Task for the Asset FMECA Task, filtered by Asset.",
        "description": "",
        "operationId": "LookupAssetFmecaTaskRegularAssetTaskFromAsset",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable Regular Asset Task collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaTaskAssetTaskFromAssetLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Tasks/Lookups/LookupAssetFmecaTaskChangePermissionTree": {
      "get": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Lookup the permission set for changing the Asset FMECA Task.",
        "description": "",
        "operationId": "LookupAssetFmecaTaskChangePermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaTaskChangePermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Tasks/Lookups/LookupAssetFmecaTaskInsertPermissionTree": {
      "get": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Lookup the permission set for creating the Asset FMECA Task.",
        "description": "",
        "operationId": "LookupAssetFmecaTaskInsertPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/Select"
          },
          {
            "$ref": "#/components/parameters/Filter"
          },
          {
            "$ref": "#/components/parameters/Param"
          },
          {
            "$ref": "#/components/parameters/Top"
          },
          {
            "$ref": "#/components/parameters/Skip"
          },
          {
            "$ref": "#/components/parameters/OrderBy"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains pageable  collection",
            "content": {
              "application/vnd.onkey.entitycollectionpage+json": {
                "schema": {
                  "$ref": "#/components/schemas/AssetFmecaTaskInsertPermissionTreeLookupResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Tasks/Batch/{ids}": {
      "get": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Get a collection of Asset FMECA Task resources for the set of id's.",
        "description": "",
        "operationId": "BatchGetAssetFmecaTask",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Asset FMECA Task id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Asset FMECA Task collection",
            "content": {
              "application/vnd.onkey.entitycollection+json": {
                "schema": {
                  "$ref": "#/components/schemas/BatchGetAssetFmecaTaskResourceAction"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Tasks/Batch": {
      "post": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Create a new collection of Asset FMECA Task resources.",
        "description": "",
        "operationId": "BatchCreateAssetFmecaTask",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "posts",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitycollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchCreateAssetFmecaTaskResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "201": {
            "description": "Success response - Asset FMECA Task batch was successfully created"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Update a collection of existing Asset FMECA Task resources.",
        "description": "",
        "operationId": "BatchUpdateAssetFmecaTask",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchUpdateAssetFmecaTaskResourceActionResponse"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Asset FMECA Task batch was successfully updated"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "delete": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Delete a collection of existing Asset FMECA Task resources.",
        "description": "",
        "operationId": "BatchDeleteAssetFmecaTask",
        "parameters": [
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "deletes",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitydeletecollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchDeleteAssetFmecaTaskResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - Asset FMECA Task batch was successfully deleted"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Tasks/{id}/DevelopmentStatus/Accept": {
      "post": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Accept the Development Status for an existing Asset FMECA Task resource.",
        "description": "",
        "operationId": "AcceptAssetFmecaTaskDevelopmentStatus",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset FMECA Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "message",
            "in": "query",
            "description": "Message to use for the development status background task",
            "schema": {
              "type": "string",
              "nullable": true
            }
          },
          {
            "name": "asyncStepFactor",
            "in": "query",
            "description": "If executed asynchronously, run the operation as a background task by grouping all records affected by the operation into background task steps. A value of zero (=0) will group all records into a single background task step. A value of one (=1) will create a background task step for every record. Any other value (=x) will create background task steps containing x records each.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "nullable": true
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ScheduleFrom"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Tasks/Batch/{ids}/DevelopmentStatus/Accept": {
      "post": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Accept the Development Status for the collection of existing Asset FMECA Task resource id's.",
        "description": "",
        "operationId": "BatchAcceptAssetFmecaTaskDevelopmentStatus",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Asset FMECA Task id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "name": "message",
            "in": "query",
            "description": "Message to use for the development status background task",
            "schema": {
              "type": "string",
              "nullable": true
            }
          },
          {
            "name": "asyncStepFactor",
            "in": "query",
            "description": "If executed asynchronously, run the operation as a background task by grouping all records affected by the operation into background task steps. A value of zero (=0) will group all records into a single background task step. A value of one (=1) will create a background task step for every record. Any other value (=x) will create background task steps containing x records each.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "nullable": true
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          },
          {
            "$ref": "#/components/parameters/ScheduleFrom"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Tasks/Batch/{ids}/DevelopmentStatus/Reject": {
      "post": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Reject the Development Status for the collection of existing Asset FMECA Task resource id's.",
        "description": "",
        "operationId": "BatchRejectAssetFmecaTaskDevelopmentStatus",
        "parameters": [
          {
            "name": "ids",
            "in": "path",
            "style": "simple",
            "required": true,
            "description": "A comma separated list of Asset FMECA Task id's (eg. 1585760985950002,1585760985950003)",
            "schema": {
              "type": "array",
              "nullable": true,
              "items": {
                "type": "integer",
                "format": "int64"
              }
            },
            "x-position": 1
          },
          {
            "name": "message",
            "in": "query",
            "description": "Message to use for the development status background task",
            "schema": {
              "type": "string",
              "nullable": true
            }
          },
          {
            "name": "asyncStepFactor",
            "in": "query",
            "description": "If executed asynchronously, run the operation as a background task by grouping all records affected by the operation into background task steps. A value of zero (=0) will group all records into a single background task step. A value of one (=1) will create a background task step for every record. Any other value (=x) will create background task steps containing x records each.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "nullable": true
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Tasks/{id}/Active": {
      "patch": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Change the IsActive status for an existing Asset FMECA Task resource.",
        "description": "",
        "operationId": "ChangeAssetFmecaTaskIsActive",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset FMECA Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAssetFmecaTaskIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Tasks/{id}/PermissionTree": {
      "patch": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Change the PermissionTree for an existing Asset FMECA Task resource.",
        "description": "",
        "operationId": "ChangeAssetFmecaTaskPermissionTree",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset FMECA Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          }
        ],
        "requestBody": {
          "x-name": "patch",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatch+json": {
              "schema": {
                "$ref": "#/components/schemas/ChangeAssetFmecaTaskPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 2
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Tasks/{id}/DevelopmentStatus/Reject": {
      "post": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Reject the Development Status for an existing Asset FMECA Task resource.",
        "description": "",
        "operationId": "RejectAssetFmecaTaskDevelopmentStatus",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset FMECA Task Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "name": "message",
            "in": "query",
            "description": "Message to use for the development status background task",
            "schema": {
              "type": "string",
              "nullable": true
            }
          },
          {
            "name": "asyncStepFactor",
            "in": "query",
            "description": "If executed asynchronously, run the operation as a background task by grouping all records affected by the operation into background task steps. A value of zero (=0) will group all records into a single background task step. A value of one (=1) will create a background task step for every record. Any other value (=x) will create background task steps containing x records each.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "nullable": true
            }
          },
          {
            "$ref": "#/components/parameters/Async"
          },
          {
            "$ref": "#/components/parameters/AsyncDescription"
          },
          {
            "$ref": "#/components/parameters/Schedule"
          }
        ],
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "202": {
            "$ref": "#/components/responses/accepted",
            "description": ""
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Tasks/Batch/Active": {
      "patch": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Change the IsActive status for a collection of existing Asset FMECA Task resources.",
        "description": "",
        "operationId": "BatchChangeAssetFmecaTaskIsActive",
        "parameters": [
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeAssetFmecaTaskIsActiveResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFmecas/Tasks/Batch/PermissionTree": {
      "patch": {
        "tags": [
          "Asset FMECA Task"
        ],
        "summary": "Change the PermissionTree status for a collection of existing Asset FMECA Task resources.",
        "description": "",
        "operationId": "BatchChangeAssetFmecaTaskPermissionTree",
        "parameters": [
          {
            "$ref": "#/components/parameters/ExecutionMode"
          }
        ],
        "requestBody": {
          "x-name": "patches",
          "description": "Request Body content",
          "content": {
            "application/vnd.onkey.entitypatchcollection+json": {
              "schema": {
                "$ref": "#/components/schemas/BatchChangeAssetFmecaTaskPermissionTreeResourceActionRequest"
              }
            }
          },
          "required": true,
          "x-position": 1
        },
        "responses": {
          "204": {
            "description": "Success response - operation was successfully executed"
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      }
    },
    "/Modules/AMPC/AssetFunctions/{id}": {
      "get": {
        "tags": [
          "Asset Function"
        ],
        "summary": "Get a Asset Function resource.",
        "description": "",
        "operationId": "GetAssetFunction",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Function Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Select"
          }
        ],
        "responses": {
          "200": {
            "description": "Success response - body contains Asset Function",
            "content": {
              "application/vnd.onkey.entity+json": {
                "schema": {
                  "$ref": "#/components/schemas/GetAssetFunctionResourceActionResponse"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default",
            "description": ""
          }
        }
      },
      "patch": {
        "tags": [
          "Asset Function"
        ],
        "summary": "Update an existing Asset Function resource.",
        "description": "",
        "operationId": "UpdateAssetFunction",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Asset Function Id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "x-position": 1
          },
          {
            "$ref": "#/components/parameters/Async"
          },
[...]
